﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace PrintTest
{
    public partial class Form2 : Form
    {
        //先声明几个变量，因为要打印的内容来自另一个窗口，故要在调用本窗口的那个窗口中传递进来要打印的内容，故将下面几个声明为ＰＵＢＬＩＣ
        public DataGridView D1;
        public DataGridView D2;
        public String txt1;
        public String txt2;
        public Form2()
        {
            InitializeComponent();
        }

        private void vB2008Print1_PrintDocument()
        {
            //所的有打印代码必须写在这个事件中哦
            //首先要用NewPage函数创建一个新面，可以带参数的，也可以不带参数的
            vB2008Print1.NewPage();
            //输出表格，注意是用PrintDGV（打印DataGridView表格），而不是 PrintDataGrid（用于打印古老的DataGrid表格）
            vB2008Print1.PrintDGV(D1, "供应商明细表", new Font("黑体", 18), StringAlignment.Center, "1111",true,true, 6, true, true, 0, 0, true, null);
            //输出文本
            vB2008Print1.NewRow(20);//增加一点间距，请注意控件的PageUnits属性哦
            vB2008Print1.DrawText(txt1,0);
            vB2008Print1.NewRow(vB2008Print1.LastDrawTextHeight);//这条语句很重要哦
            vB2008Print1.NewRow(40);//再增加一点间距，请注意控件的PageUnits属性哦
            vB2008Print1.PrintDGV(D2, "客户明细表", new Font("黑体", 20), StringAlignment.Center, "1111", true, true, 6, true, true, 0, 0, true, null);
            //输出文本
            vB2008Print1.DrawText(txt2,new Font("华文行楷",12),0);
            //
        }

        private void Form2_Load(object sender, EventArgs e)
        {
            //
            vB2008Print1.InvalidatePreview();
        }

        private void vB2008Print1_HeaderFooterOut(int pages, int curpage)
        {
            //在这里输出页眉与页脚
            vB2008Print1.PrintFooter("", "第" + curpage + "页 共" + pages + "页", "",new Font("宋体",12),Color.Red ,0);
        }
    }
}